# React: MaterialUI Autocomplete Highlighter

Material-UI Autocomplete Highlighter is a library for React to highlight searched query in autocomplete suggestions

## Installation

```bash
npm i react-mui-autocomplete-highlighter
```

## Usage

```bash
import {Highlighter} from 'mui-autocomplete-highlighter';

<Autocomplete 
    ...
    renderOption={(option, {inputValue}) => (
        <Highlighter 
            option={option} 
            query={inputValue} 
            optionKey="label"
            settings={{
                isCaseSensitive: false,
                highlighterClass: '',
                defaultClass: ''
            }}
        />
    )}
/>
```